##################################################################
#
#   makefile
# 
#   for the MARS software
#
##################################################################
include ../Makefile.conf.$(OSTYPE)
include ../Makefile.conf.general

#
# Handling name of the Root Dictionary Files
#
CINT  = Tools

#
# Library name to creatre
#
LIB   = mtools.a

#
#  connect the include files defined in the config.mk file
#
INCLUDES = -I. -I../mbase -I../mgui -I../mgeom -I../mdata -I../mhbase \
	   -I../mfileio -I../mfilter -I../manalysis

#manalysis: MChisqEval (MParameters)

#------------------------------------------------------------------------------

.SUFFIXES: .c .cc .cxx .h .hxx .o 

SRCFILES = MChisqEval.cc \
	   MTFillMatrix.cc \
	   MHSimulatedAnnealing.cc \
	   MSimulatedAnnealing.cc \
	   MFFT.cc \
	   MCubicCoeff.cc \
           MCubicSpline.cc \
	   MagicReversi.cc \
	   MagicSnake.cc \
           MagicShow.cc \
           MagicDomino.cc \
           MagicCivilization.cc \
           MineSweeper.cc


SRCS    = $(SRCFILES)
HEADERS = $(SRCFILES:.cc=.h)
OBJS    = $(SRCFILES:.cc=.o) 

############################################################

all: $(LIB)

include ../Makefile.rules

#clean:	rmcint rmobjs rmcore rmlib

mrproper:	clean rmbak

# @endcode

